Last Comment Bug 330168 - Phishing State should take precedence over Junk State in the message bar
: Phishing State should take precedence over Junk State in the message bar
Status: RESOLVED FIXED
: fixed-seamonkey1.0.1, fixed-seamonkey1.1a, fixed1.8.0.2, fixed1.8.1
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Message Display (show other bugs)
: unspecified
: All All
: -- major (vote)
: seamonkey1.1alpha
Assigned To: Ian Neal
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-11 07:08 PST by Ian Neal
Modified: 2006-07-07 02:53 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Simple patch v0.1 (Checked in trunk & branch 1.8 / 1.8.0) (5.72 KB, patch)
2006-03-11 07:28 PST, Ian Neal
neil: review+
mozilla: superreview+
dveditz: approval1.8.0.2+
kairo: approval‑seamonkey1.0.1+
kairo: approval‑seamonkey1.1a+
Details | Diff | Splinter Review

Description Ian Neal 2006-03-11 07:08:54 PST
This is the mailnews version of TB bug 298525. Precedence order should be Phish, Junk and then remote content.
Comment 1 Ian Neal 2006-03-11 07:28:50 PST
Created attachment 214779 [details] [diff] [review]
Simple patch v0.1 (Checked in trunk & branch 1.8 / 1.8.0)

This patch:
* Swaps order of deck, and related JS, so that phishing takes precedence over junk bar
* Updates comment to reflect new order
* Removes unused variable isCurrentlyNotJunk
Comment 2 Ian Neal 2006-03-12 13:39:11 PST
Comment on attachment 214779 [details] [diff] [review]
Simple patch v0.1 (Checked in trunk & branch 1.8 / 1.8.0)

Checking in (trunk)
mailWindowOverlay.js;
new revision: 1.230; previous revision: 1.229
mailWindowOverlay.xul;
new revision: 1.307; previous revision: 1.306
done
Comment 3 Ian Neal 2006-03-14 14:56:12 PST
Comment on attachment 214779 [details] [diff] [review]
Simple patch v0.1 (Checked in trunk & branch 1.8 / 1.8.0)

Rqeuesting a= for SM1.0.1 and SM1.1a
Comment 4 Robert Kaiser 2006-03-14 17:45:40 PST
Comment on attachment 214779 [details] [diff] [review]
Simple patch v0.1 (Checked in trunk & branch 1.8 / 1.8.0)

low-risk security-relevant fix, should be consistent in all new releases, a=me for both 1.1 and 1.0.1
Comment 5 Ian Neal 2006-03-15 14:36:52 PST
Comment on attachment 214779 [details] [diff] [review]
Simple patch v0.1 (Checked in trunk & branch 1.8 / 1.8.0)

Checking in (branch 1.8)
mailWindowOverlay.js;
new revision: 1.222.2.7; previous revision: 1.222.2.6
mailWindowOverlay.xul;
new revision: 1.298.2.8; previous revision: 1.298.2.7
done
Comment 6 Ian Neal 2006-03-15 16:42:33 PST
Comment on attachment 214779 [details] [diff] [review]
Simple patch v0.1 (Checked in trunk & branch 1.8 / 1.8.0)

Requesting a= for 1.8.0.2 as suggested by dveditz
Comment 7 Daniel Veditz [:dveditz] 2006-03-17 12:01:49 PST
Comment on attachment 214779 [details] [diff] [review]
Simple patch v0.1 (Checked in trunk & branch 1.8 / 1.8.0)

approved for 1.8.0 branch, a=dveditz for drivers
Comment 8 Ian Neal 2006-03-17 13:50:00 PST
Comment on attachment 214779 [details] [diff] [review]
Simple patch v0.1 (Checked in trunk & branch 1.8 / 1.8.0)

Checking in (branch 1.8.0)
mailWindowOverlay.js;
new revision: 1.222.2.3.4.4; previous revision: 1.222.2.3.4.3
mailWindowOverlay.xul;
new revision: 1.298.2.2.4.7; previous revision: 1.298.2.2.4.6
done
Comment 9 Tim Riley [:timr] 2006-03-27 09:29:46 PST
This was seamonkey only, but we had to approve the patch to land on the 1.8.0 branch.  It landed on 3/17/06, but not marked fixed1.8.0.2 as it is seamonkey only.  It still shows up on the NeedsLanding list because it is approved for 1.8.0.2 but not marked fixed1.8.0.2.  Should we mark it fixed1.8.0.2 or take off the approval flag?

Note You need to log in before you can comment on or make changes to this bug.